/**
* Created by mac on 16/8/15.
*/
function getElements() {
    var form = document.getElementById('question');
    var elements = new Array();
    var tagElements = form.getElementsByTagName('input');
    for (var j = 0; j < tagElements.length; j++){
        elements.push(tagElements[j]);

    }
    return elements;
}

function getElementValues() {
    var elements = getElements();

    var queryComponents = new Array();
    for (var i = 0; i < elements.length; i++) {
        var value = elements[i].value;
        queryComponents.push(value);
    }

    var result = queryComponents.join('&');
    window.markdownJS.sendElementValues(result);
}

function showCorrectResult(answers) {
    var correctAnswers = answers.split('#');
    var userAnswerTags = document.getElementsByName("user_answer");
    var correctAnswerTags = document.getElementsByName("correct_answer");

    for (var i = 0; i < userAnswerTags.length; i++) {
        var userEle = userAnswerTags[i];
        userEle.disabled = true;
        var correctEle = correctAnswerTags[i];

        var userAnswer = userEle.value;
        var correctAnswer = correctAnswers[i];

        console.log(userAnswer);
        if (userAnswer == null || userAnswer == undefined || userAnswer == ''){
            correctEle.style.display = "inline";
        } else {
            var questionAnswers = correctAnswer.split(',');
            var isRight = false;
            for(var x = 0; x < questionAnswers.length; x++){
                console.log(questionAnswers[x].trim().toLocaleLowerCase() + "------" + userAnswer.trim().toLocaleLowerCase());
                if(questionAnswers[x].trim().toLocaleLowerCase() == userAnswer.trim().toLocaleLowerCase()){
                    isRight = true;
                    break;
                }
            }

            if (!isRight) {
                userEle.style.textDecoration = "line-through";
                userEle.style.color = "#FF0000"
                correctEle.style.display = "inline";
            } else {
                userEle.style.textDecoration = "none";
                userEle.style.color = "#333333"
                correctEle.style.display = "none"
            }
        }
    }
}

function trim(){
　　return this.replace(/(^\s*)|(\s*$)/g, "");
}

function goneCorrectResult() {
    var userAnswerEles = document.getElementsByName("user_answer");
    for (var i = 0; i < userAnswerEles.length; i++) {
        var userEle = userAnswerEles[i];
        userEle.disabled = false;
        userEle.style.textDecoration = "none";
        userEle.style.color = "#333333"
    }

    var elements = document.getElementsByName("correct_answer");
    for (var i = 0; i < elements.length; i++) {
        var item = elements[i];
        item.style.display = "none";
    }
}

function disableInput() {
    var userAnswerTags = document.getElementsByName("user_answer");

    for (var i = 0; i < userAnswerTags.length; i++) {
        var userEle = userAnswerTags[i];
        userEle.disabled = true;
    }
}